Subject: Re: [rrg] Agenda request: Presentation on new host stack architecture

From: [email-masked]
Date: Mon, 10 Nov 2008 17:16:27 EST

Christian,
 
Imagine the following: IP packets are forwarded down to the (egress)  router 
(to which the destination user is somehow attached) without looking at  the 
destination IP address ! This also means: the  destination information  may be 
what so ever: an IPv4 address, an IPv6  address, or even a USER NAME !! 
Wouldn't this fit to your  proposal perfectly? 
 
Heiner
 
In einer eMail vom 10.11.2008 17:31:05 Westeuropäische Normalzeit schreibt  
[email-masked]:

On Nov  3, 2008, Christian Vogt wrote:

> Shortly before the previous RRG  meeting in Dublin, I had proposed a  
> new
> host stack  architecture as one step towards solving the routing
> scalability  problem.  The idea was to move the existing indirection
> between  hostnames and IP addresses from its current position at the
>  application layer down to the IP layer.  Applications and  transport
> protocols would thus exclusively work with hostnames, and IP  addresses
> would be dealt with only at the IP layer.  I would like  to let the  
> group
> and the program committee know that I  am now working on a concept  
> paper
> describing this new  stack architecture in more detail, and that I  
> would
>  like to present this at the RRG meeting in Minneapolis. [...]

Dear  program committee and RRG folks,

finally, here is a link to the concept  paper on the new hostname- 
oriented
host stack architecture, which I  described in earlier  emails:

http://users.piuha.net/chvogt/pub/2008/vogt-2008-hostname-oriented-stack.pdf

I  am very interested in your opinion about it.

-  Christian

_______________________________________________
rrg  mailing  list
[email-masked]
https://www.irtf.org/mailman/listinfo/rrg

_______________________________________________
rrg mailing list
[email-masked]
https://www.irtf.org/mailman/listinfo/rrg

---

From: Christian Vogt <[email-masked]>
Date: Tue, 11 Nov 2008 10:51:32 +0200

On Nov 11, 2008, [email-masked] wrote:

> Imagine the following: IP packets are forwarded down to the (egress)  
> router (to which the destination user is somehow attached) without  
> looking at the destination IP address ! This also means: the  
> destination information  may be what so ever: an IPv4 address, an  
> IPv6 address, or even a USER NAME !! Wouldn't this fit to your  
> proposal perfectly?

Heiner,

are you thinking of forwarding packets based on the destination  
hostname while the packet is within an edge network?  That could, of  
course, be an extension to the proposal I am making.  The proposal  
right now, however, uses IP addresses for routing; the hostnames are  
included only in the first packets of a connection in order to sync  
the two peers.

- Christian